services:
  app:
    image: git.mi6e4ka.dev/yabl/app:latest
    container_name: yabl
    restart: unless-stopped
    ports:
      - "8080:8080"  # если API слушает на 8080
    environment:
      - DB_TYPE=sqlite
      - DB_LINK=./yabl.db
      - BASE_PATH=/app/lib
      - BIND_ADDR=:8080
      - KEYS_PATH=/app/keys
      - UPLOADS_PATH=/app/uploads

    volumes:
      - ./lib:/app/lib
      - ./uploads:/app/uploads
      - ./keys:/app/keys
      - ./yabl.db:/app/yabl.db